---
title: RTCStatsReport
slug: Web/API/RTCStatsReport
tags:
  - API
  - Dictionary
  - Draft
  - Interface
  - Media
  - NeedsContent
  - RTCStatsReport
  - Reference
  - WebRTC
---
<p>{{APIRef("WebRTC")}}</p>

<p>{{draft("This page is currently incomplete and under active construction. Please be aware that it's not going to answer all of your questions just yet.")}}</p>

<p><span class="seoSummary">The <code><strong>RTCStatsReport</strong></code> interface provides a statistics report obtained by calling one of the {{domxref("RTCPeerConnection.getStats()")}}, {{domxref("RTCRtpReceiver.getStats()")}}, and {{domxref("RTCRtpSender.getStats()")}} methods.</span> This statistics report contains a mapping of statistic category string names to objects containing the corresponding statistics data.</p>

<p>Calling <code>getStats()</code> on an {{domxref("RTCPeerConnection")}} lets you specify whether you wish to obtain statistics for outbound, inbound, or all streams on the connection. The {{domxref("RTCRtpReceiver")}} and {{domxref("RTCRtpSender")}} versions of <code>getStats()</code> specifically only return statistics available to the incoming or outgoing stream on which you call them.</p>

<h2 id="The_statistics_objects">The statistics objects</h2>

<p>For each category of statistic information, there is a dictionary whose properties provide the relevant information.</p>

<h3 id="Properties_common_to_all_statistic_categories">Properties common to all statistic categories</h3>

<p>All WebRTC statistics objects are fundamentally based on the {{domxref("RTCStats")}} dictionary, which provides the most fundamental information: the timestamp, the statistic type string, and an ID uniquely identifying the source of the data:</p>

<p>{{page("/en-US/docs/Web/API/RTCStats", "Properties")}}</p>

<h3 id="The_statistic_categories">The statistic categories</h3>

<p>The {{domxref("RTCStats.type", "type")}} gives the name of the statistic category represented by the object, and is how you locate the specific type of data you need. The statistic category names are members of the enumerated type {{domxref("RTCStatsType")}}, as follows:</p>

<p>{{page("/en-US/docs/Web/API/RTCStatsType", "Values")}}</p>

<h2 id="Using_RTCStatsReport">Using RTCStatsReport</h2>

<p><em>... coming soon-ish ...</em></p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('WebRTC 1.0', '#rtcstatsreport-object', 'RTCStatsReport') }}</td>
   <td>{{ Spec2('WebRTC 1.0') }}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCStatsReport")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/WebRTC_API">WebRTC API</a></li>
 <li>{{domxref("RTCPeerConnection")}}</li>
 <li>{{domxref("RTCPeerConnection.getStats()")}}, {{domxref("RTCRtpReceiver.getStats()")}}, and {{domxref("RTCRtpSender.getStats()")}}</li>
</ul>
